package com.brilliance.isc.common.user.service;

import com.brilliance.isc.bo.Auzlvl;
import com.brilliance.isc.vo.manager.UserVo;

import java.util.List;

public interface UserService {

    /**
     * 获取用户基本信息
     * @param personId ec_org_person表主键 ID
     * @return userVo
     */
    UserVo getUserByPersonId(Integer personId);

    /**
     * 获取用户基本信息
     * @param usrInr usr表主键 inr
     * @return userVo
     */
    UserVo getUserByUsrInr(String usrInr);

    /**
     * 获取用户基本信息
     * @param logName ec_org_person表logName 登录名称
     * @return userVo
     */
    UserVo getUserByLogName(String logName);


    /**
     * 获取用户授权档次信息,优先查询交易，其次查询业务
     * @param usrInr 用户表USR主键INR  查档次
     * @param accBch 核心机构号
     * @param busTyp 业务、交易类型 DI
     * @param trnCode 交易码
     * @return
     */
    Auzlvl getAuzlvlbyUsrInr(String usrInr, String accBch, String busTyp, String trnCode);

    /**
     * 获取所有用户
     */
    List<UserVo> getAllUser();

}
